unit FMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ImgList, ToolWin, ComCtrls, ExtCtrls, ActnList, StdCtrls, StdActns,
  Mask, jpeg;

type
  TMainForm = class(TForm)
    ControlBar1: TControlBar;
    MenuTool: TToolBar;
    ImageList1: TImageList;
    MainMenu1: TMainMenu;
    OpenDial: TOpenDialog;
    CodeTemp: TMemo;
    ActionL: TActionList;
    File1: TMenuItem;
    Open1: TMenuItem;
    Open: TAction;
    Save: TAction;
    CloseForm: TAction;
    Save1: TMenuItem;
    N1: TMenuItem;
    Close1: TMenuItem;
    ToolButton1: TToolButton;
    Copy1: TEditCopy;
    Cut1: TEditCut;
    Paste1: TEditPaste;
    Edit1: TMenuItem;
    Paste2: TMenuItem;
    Copy2: TMenuItem;
    Cut2: TMenuItem;
    ToolButton2: TToolButton;
    StatBar: TStatusBar;
    procedure OpenExecute(Sender: TObject);
    procedure CloseFormExecute(Sender: TObject);
    procedure SaveExecute(Sender: TObject);
    procedure Copy1Execute(Sender: TObject);
    procedure Cut1Execute(Sender: TObject);
    procedure Paste1Execute(Sender: TObject);
    procedure CodeTempKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.OpenExecute(Sender: TObject);
begin
  if OpenDial.Execute then Begin
    CodeTemp.Lines.Clear;
    CodeTemp.Lines.LoadFromFile(OpenDial.FileName);
    CodeTemp.Modified := False;
    StatBar.Panels[1].Text :='';
  End;
End;

procedure TMainForm.CloseFormExecute(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.SaveExecute(Sender: TObject);
Begin
  CodeTemp.Lines.SaveToFile(OpenDial.FileName);
  CodeTemp.Modified := False;
  StatBar.Panels[1].Text :='';
End;

procedure TMainForm.Copy1Execute(Sender: TObject);
begin
  CodeTemp.CopyToClipboard;
end;

procedure TMainForm.Cut1Execute(Sender: TObject);
begin
  CodeTemp.CutToClipboard;
end;

Procedure TMainForm.Paste1Execute(Sender: TObject);
Begin
  CodeTemp.PasteFromClipboard;
End;


procedure TMainForm.CodeTempKeyDown(Sender: TObject; var Key: Word;Shift: TShiftState);
Type KeyStrokes =set of 1..255;
Const KS :KeyStrokes = [VK_UP, VK_DOWN, VK_NEXT, VK_PRIOR, VK_RIGHT, VK_LEFT];
begin
  if Key in KS Then Begin
    StatBar.Panels[0].Text := IntToStr(CodeTemp.CaretPos.x)+
                              ' : '+IntToStr(CodeTemp.CaretPos.y);
  End;
  if CodeTemp.Modified Then StatBar.Panels[1].Text :='Modified';
End;

End.
